package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PointApplyReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:38
 */
@Data
public class Nft023PointApplyRespDto implements Serializable {
    /**
     * 任务id
     */
    private String taskId;

    private static final Nft023PointApplyRespDto obj = new Nft023PointApplyRespDto();
    public static Nft023PointApplyRespDto getNew() {
        try {
            return (Nft023PointApplyRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft023PointApplyRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
